#ident " @(#)midiopts.h 1.1 91/09/17 Copyright 1991, Sun Microsystems, Inc."
/*
 * Copyright (c) 1991 by Sun Microsystems, Inc. 
 *		created 5/92--stp@nomad based on midiwrite.c
 */
/*
 * options struct for midiwrite and mplay.
 */

struct option Options[] = {
	OPTDEF("-device",				1, ARG_device),
	OPTDEF("-input",				1, ARG_input),
	OPTDEF("-output",				1, ARG_output),
	OPTDEF("-start",				1, ARG_startTick),
	OPTDEF("-dur",					1, ARG_durTick),
	OPTDEF("-end",					1, ARG_endTick),
	OPTDEF("-rate",					1, ARG_tickRate),
	OPTDEF("-print",				0, ARG_playOrPrint),
	OPTDEF("-status",				0, ARG_printStatus),

	OPTDEF("+pmclockrate",			1, ARGP_mpmclockRate),
	OPTDEF("-pmclockrate",			0, ARGM_mpmclockRate), /* deprecated */
	OPTDEF("+pmclockmod",			1, ARGP_mpmclockMod),
	OPTDEF("-pmclockmod",			0, ARGM_mpmclockMod), /* deprecated */
	OPTDEF("+pmointc",				0, ARGP_mpmointc),
	OPTDEF("-pmointc",				0, ARGM_mpmointc),
	OPTDEF("+pmoautostart", 		0, ARGP_mpmoautoStart),
	OPTDEF("-pmoautostart", 		0, ARGM_mpmoautoStart),
	OPTDEF("+pmoautostop",			0, ARGP_mpmoautoStop),
	OPTDEF("-pmoautostop",			0, ARGM_mpmoautoStop),
	OPTDEF("+pmoinhclock",			0, ARGP_mpmoinhibitClock),
	OPTDEF("-pmoinhclock",			0, ARGM_mpmoinhibitClock),
	OPTDEF("+pmoinhmtc",			0, ARGP_mpmoinhibitMTC),
	OPTDEF("-pmoinhmtc",			0, ARGM_mpmoinhibitMTC),
	OPTDEF("+pmoinhsongpointer", 	0, ARGP_mpmoinhSongPointer),
	OPTDEF("-pmoinhsongpointer", 	0, ARGM_mpmoinhSongPointer),
	OPTDEF("+pmid", 				1, ARGP_mpmid),
	OPTDEF("-pmid", 				1, ARGM_mpmid),	/* deprecated */
	OPTDEF("+pmmtcchannel", 		1, ARGP_mpmmtcChannel),
	OPTDEF("-pmmtcchannel", 		1, ARGM_mpmmtcChannel),	/* deprecated */
	OPTDEF("+pirs", 				0, ARGP_mpirs),
	OPTDEF("-pirs", 				0, ARGM_mpirs),
	OPTDEF("+piloop",				0, ARGP_mpiloop),
	OPTDEF("-piloop",				0, ARGM_mpiloop),
	OPTDEF("+pors",					0, ARGP_mpors),
	OPTDEF("-pors", 				0, ARGM_mpors),
	OPTDEF("+poloop", 				0, ARGP_mpoloop),
	OPTDEF("-poloop", 				0, ARGM_mpoloop),
	OPTDEF("+psclockrate", 			1, ARGP_mpstclockRate),
	OPTDEF("-psclockrate", 			1, ARGM_mpstclockRate),	/* deprecated */
	OPTDEF("+pstf24", 				0, ARGP_mpstf24),
	OPTDEF("-pstf24", 				0, ARGM_mpstf24), /* deprecated */
	OPTDEF("+pstf25", 				0, ARGP_mpstf25),
	OPTDEF("-pstf25", 				0, ARGM_mpstf25), /* deprecated */
	OPTDEF("+pstf30", 				0, ARGP_mpstf30),
	OPTDEF("-pstf30", 				0, ARGM_mpstf30), /* deprecated */
	OPTDEF("+pstf30drop", 			0, ARGP_mpstf30drop),
	OPTDEF("-pstf30drop", 			0, ARGM_mpstf30drop), /* deprecated */
	OPTDEF("+psoint", 				0, ARGP_mpsoint),
	OPTDEF("-psoint", 				0, ARGM_mpsoint),
	OPTDEF("+psoautostart", 		0, ARGP_mpsoautoStart),
	OPTDEF("-psoautostart", 		0, ARGM_mpsoautoStart),
	OPTDEF("+psoautostop", 			0, ARGP_mpsoautoStop),
	OPTDEF("-psoautostop", 			0, ARGM_mpsoautoStop),
	OPTDEF("+psodropframe", 		0, ARGP_mpsodropFrame),
	OPTDEF("-psodropframe", 		0, ARGM_mpsodropFrame),
	OPTDEF("+psoreverse", 			0, ARGP_mpsoreverse),
	OPTDEF("-psoreverse", 			0, ARGM_mpsoreverse),
	OPTDEF("+pdebug", 				1, ARGP_mpdebug),
	OPTDEF("-pdebug", 				1, ARGM_mpdebug), /* deprecated */

	OPTDEF("-vmclocktick",	 		1, ARGM_mvmclockTick), /* deprecated */
	OPTDEF("+vmclocktick",	 		1, ARGP_mvmclockTick),
	OPTDEF("-vmsongpointer", 		1, ARGM_mvmsongPointer), /* deprecated */
	OPTDEF("+vmsongpointer", 		1, ARGP_mvmsongPointer),
	OPTDEF("-vmfrunning", 			1, ARGM_mvmfrunning),
	OPTDEF("+vmfrunning", 			1, ARGP_mvmfrunning),
	OPTDEF("-vrclock", 				1, ARGM_mvrclock),
	OPTDEF("+vrclock", 				1, ARGP_mvrclock),
	OPTDEF("-vrstart", 				1, ARGM_mvrstart),
	OPTDEF("+vrstart", 				1, ARGP_mvrstart),
	OPTDEF("-vrstop", 				1, ARGM_mvrstop),
	OPTDEF("+vrstop", 				1, ARGP_mvrstop),
	OPTDEF("-vrcontinue", 			1, ARGM_mvrcontinue),
	OPTDEF("+vrcontinue", 			1, ARGP_mvrcontinue),
	OPTDEF("-vractive", 			1, ARGM_mvractive),
	OPTDEF("+vractive", 			1, ARGP_mvractive),
	OPTDEF("-vrreset", 				1, ARGM_mvrreset),
	OPTDEF("+vrreset", 				1, ARGP_mvrreset),
	OPTDEF("-vrmtc", 				1, ARGM_mvrmtc),
	OPTDEF("+vrmtc", 				1, ARGP_mvrmtc),
	OPTDEF("-vrsongpointer", 		1, ARGM_mvrsongPointer),
	OPTDEF("+vrsongpointer", 		1, ARGP_mvrsongPointer),
	OPTDEF("-vstime", 				1, ARGM_mvstime), /* deprecated */
	OPTDEF("+vstime", 				1, ARGP_mvstime),
	OPTDEF("-vsfrunning", 			1, ARGM_mvsfrunning),
	OPTDEF("+vsfrunning", 			1, ARGP_mvsfrunning),
	OPTDEF("-vsfqframe", 			1, ARGM_mvsfqframe), /* deprecated */
	OPTDEF("+vsfqframe", 			1, ARGP_mvsfqframe),

					/* added options 5/92--stp */
	OPTDEF("-i",					1, ARG_input),
	OPTDEF("-s",					1, ARG_startTick),
	OPTDEF("-d",					1, ARG_durTick),
	OPTDEF("-e",					1, ARG_endTick),
	OPTDEF("-r",					1, ARG_tickRate),
	OPTDEF("-p",					0, ARG_playOrPrint),
	OPTDEF("-x",					0, ARG_printStatus),
	OPTDEF("-v",					0, ARG_verbose),
	OPTDEF("-u",					0, ARG_usage),
	OPTDEF("-z",					0, ARG_silent),
	OPTDEF("-c",					0, ARG_compact),

	/* ... */
	{ 0 },
};

int MidiFd;

